import { NormalizedEntry } from './NormalizedEntry.js';
import { EntriesFactory } from './types.js';
export declare class EntriesResolver {
    protected readonly context: string;
    protected readonly entriesFactory: EntriesFactory;
    constructor(context: string, entriesFactory: EntriesFactory);
    update(isWatch: false): Promise<{
        entries: NormalizedEntry[];
    }>;
    update(isWatch: true): Promise<{
        entries: NormalizedEntry[];
        invalidatePromise: Promise<void>;
        close: () => void;
    }>;
}
